Control APIAPI 레퍼런스Usage

App 트래픽과 사용량을 조회합니다.

베타 API

Control API의 /v1 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

GET/v1/apps/{appId}/usage

팀의 owner, member, billing, viewer가 비용 정보 없이 App의 트래픽·Compute 사용량과 상태·TTFB 분석을 조회합니다. 기간은 [from,to)이며 기본값은 최근 7일입니다. hour는 최대 31일, 전체 범위는 최대 366일입니다. 관측 분석은 90일 동안 보관합니다.

인증

bearerAuth
인증Bearer <token>

Identity access JWT 또는 ntro_ API token을 사용합니다. token 관리 경로는 Identity access JWT만 허용합니다.

위치: header

경로 매개변수

appId*string

쿼리 매개변수

from?string
granularity?string
to?string

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/string/usage"
{  "analytics_retention_days": 0,  "app_id": "string",  "by_deployment": [    {      "created_at": "2019-08-24T14:15:22Z",      "deployment_id": "string",      "metrics": {        "property1": {          "billing_units": "string",          "raw": 0,          "unit": "string"        },        "property2": {          "billing_units": "string",          "raw": 0,          "unit": "string"        }      },      "traffic": {        "downstream_bytes_in": 0,        "downstream_bytes_out": 0,        "origin_bytes_in": 0,        "origin_bytes_out": 0,        "requests": 0      }    }  ],  "by_domain": [    {      "domain": "string",      "downstream_bytes_out": 0,      "requests": 0,      "status": {        "1xx": 0,        "2xx": 0,        "3xx": 0,        "4xx": 0,        "5xx": 0,        "other": 0      },      "ttfb_ms": {        "p50": 0,        "p95": 0,        "p99": 0      }    }  ],  "by_region": [    {      "metrics": {        "property1": {          "billing_units": "string",          "raw": 0,          "unit": "string"        },        "property2": {          "billing_units": "string",          "raw": 0,          "unit": "string"        }      },      "region": "string",      "traffic": {        "downstream_bytes_in": 0,        "downstream_bytes_out": 0,        "origin_bytes_in": 0,        "origin_bytes_out": 0,        "requests": 0      }    }  ],  "from": "2019-08-24T14:15:22Z",  "granularity": "string",  "series": [    {      "bucket": "2019-08-24T14:15:22Z",      "metrics": {        "property1": {          "billing_units": "string",          "raw": 0,          "unit": "string"        },        "property2": {          "billing_units": "string",          "raw": 0,          "unit": "string"        }      },      "status": {        "1xx": 0,        "2xx": 0,        "3xx": 0,        "4xx": 0,        "5xx": 0,        "other": 0      },      "traffic": {        "downstream_bytes_in": 0,        "downstream_bytes_out": 0,        "origin_bytes_in": 0,        "origin_bytes_out": 0,        "requests": 0      },      "ttfb_ms": {        "p50": 0,        "p95": 0,        "p99": 0      }    }  ],  "status": {    "1xx": 0,    "2xx": 0,    "3xx": 0,    "4xx": 0,    "5xx": 0,    "other": 0  },  "to": "2019-08-24T14:15:22Z",  "totals": {    "property1": {      "billing_units": "string",      "raw": 0,      "unit": "string"    },    "property2": {      "billing_units": "string",      "raw": 0,      "unit": "string"    }  },  "traffic": {    "downstream_bytes_in": 0,    "downstream_bytes_out": 0,    "origin_bytes_in": 0,    "origin_bytes_out": 0,    "requests": 0  },  "ttfb_ms": {    "p50": 0,    "p95": 0,    "p99": 0  }}